Hi,<div><br></div><div>Thanks for the info.  I have decided that there is a problem with my install of ipython .12.  I have a couple of days ago installed ipython .12.  It works as far as I can tell except for the sympy use.  That is, ipython notebook --profile=sympy  has a problem:</div>
<div><br></div><div><div> comerduncan% ipython notebook --profile=sympy</div><div>[NotebookApp] Profile u&#39;sympy&#39; not found.</div><div><br></div><div><br></div>comerduncan% which ipython</div><div>/usr/local/bin/ipython</div>
<div><br></div><div>What about sympy?</div><div><br></div><div>comerduncan% which isympy</div><div>/usr/local/bin/isympy</div><div><br></div><div>I had installed ipython and sympy a couple of days ago following the recommendation on the IPython site.</div>
<div>On this mac (running Lion) the location of ipython and sympy are shown as site-packages in /Library/Python/2.7/site-packages:</div><div><br></div><div>comerduncan% ls /Library/Python/2.7/site-packages</div><div><br></div>
<div><div>README<span class="Apple-tab-span" style="white-space:pre">                                                </span>pymongo-2.1.1-py2.7-macosx-10.7-intel.egg</div><div>easy-install.pth<span class="Apple-tab-span" style="white-space:pre">                                </span>pyzmq-2.1.11-py2.7-macosx-10.7-intel.egg</div>
<div>ipython-0.12-py2.7.egg<span class="Apple-tab-span" style="white-space:pre">                                </span>readline-6.2.1-py2.7-macosx-10.7-intel.egg</div><div>matplotlib-1.1.0-py2.7-macosx-10.7-intel.egg<span class="Apple-tab-span" style="white-space:pre">        </span>sympy-0.7.1-py2.7.egg</div>
<div>nose-1.1.2-py2.7.egg<span class="Apple-tab-span" style="white-space:pre">                                </span>tornado-2.1.1-py2.7.egg</div><div>pexpect-2.4-py2.7.egg</div></div><div><br></div><div><br></div><div>So, given this info, what might be wrong with ipython&#39;s installation and use with sympy?</div>
<div><br></div><div>Sorry for asking such basic questions...</div><div><br></div><div>I would appreciate some help/info to get me in the correct installed state.</div><div><br></div><div>Comer</div><div><br></div><div><br>
<div class="gmail_quote">On Tue, Jan 10, 2012 at 10:56 AM, Thomas Kluyver <span dir="ltr">&lt;<a href="mailto:takowl@gmail.com">takowl@gmail.com</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">
<div class="im"><div class="gmail_quote">On 10 January 2012 15:36, Comer Duncan <span dir="ltr">&lt;<a href="mailto:comer.duncan@gmail.com" target="_blank">comer.duncan@gmail.com</a>&gt;</span> wrote:<br><blockquote class="gmail_quote" style="margin:0 0 0 .8ex;border-left:1px #ccc solid;padding-left:1ex">


I can&#39;t seem to locate Aaron&#39;s suggested --profile=sympy file. I have sent Aaron a query. Thanks for your prompt reply last night.</blockquote></div><br></div>--profile=sympy is not a file, it&#39;s an option: at the command line, use the command &quot;ipython notebook --profile=sympy&quot; (without quotes) to start IPython with the sympy profile. This profile ships with IPython, so you don&#39;t need to install anything extra.<span class="HOEnZb"><font color="#888888"><br>


<br>Thomas<br>
</font></span></blockquote></div><br></div>